Subject: GARDEN TOOL SUPPLIERS

From: [email-masked] (CHANNING PROTHRO)
Date: Wed, 15 Feb 95 21:33:00 -600

LM>My husband and I were thinking of ordering some tools/supplies from the
LM>A.M Leonard, Inc catalog.  We were impressed by the selection and the
LM>prices seem good.  Does anyone have any experience ordering from them? 
LM>Thanks in advance for any information!

I've dealt with them for a number of years. You can't go wrong with them. The
tools are all top knotch, and made for real gardeners. :) Good luck

Channing
---
 * MR/2 2.0 NR *